- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 4cd25e0f-1ed2-4bd0-bda2-2ef5e69d170e
    creation_time: 2023-02-17T12:09:15.304855Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
    file_hash: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2*a+1 && s ==  ( a+1 ) * ( a+1 )  && t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ce361338-6021-4513-83d8-98f7d55a365f
    creation_time: 2023-02-17T12:09:15.305136Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
    file_hash: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 44a7e0b1-b533-444d-8059-8e072cb9f49c
    creation_time: 2023-02-17T12:09:15.305249Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
    file_hash: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s ==  ( a+1 ) * ( a+1 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e56dde7e-65ed-4307-bd33-ad77ea14c787
    creation_time: 2023-02-17T12:09:15.305334Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
    file_hash: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 997f5228-d712-430f-8f8e-9e97f2e6c896
    creation_time: 2023-02-17T12:09:15.305417Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
    file_hash: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2*a+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c1aca5a7-dc3c-406a-84ae-68c4c3feeb54
    creation_time: 2023-02-17T12:09:15.305521Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
    file_hash: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s ==  ( a+1 ) * ( a+1 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6a418105-47ba-46b8-9b51-2882313dc60c
    creation_time: 2023-02-17T12:09:15.305603Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound100.c
    file_hash: aeeaf8ddcaaadce0bb307be8d4cdfb2d28179f7ce6737573dce6c1be4b061da1
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

